from api_metadata import __version__
from . import MetadataAPIBaseView

API_DESCRIPTION = (
    'Metadata API, just query http://169.254.42.42/conf or '
    'http://169.254.42.42/conf?format=json to get info about yourself'
)


class RootView(MetadataAPIBaseView):

    route_base = '/'

    def index(self):
        return {
            'api': 'api-metadata',
            'description': API_DESCRIPTION,
            'version': __version__,
        }
